## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcMovableConstraint Struct Reference

A constraint for a movable. More...

`#include <propclass/move.h>`

List of all members.

## Public Member Functions

virtual int | CheckMove (iSector *sector, const csVector3 &from, const csVector3 &to, csVector3 &pos)=0
| Check if an object can move.

## Detailed Description

A constraint for a movable.

Definition at line 104 of file move.h.

## Member Function Documentation

virtual int iPcMovableConstraint::CheckMove | ( | iSector * | sector,
|  | const csVector3 & | from,
|  | const csVector3 & | to,
|  | csVector3 & | pos
| ) | `[pure virtual]`

Check if an object can move.

Returns:

- CEL_MOVE_FAIL: if no movement is possible.
- CEL_MOVE_SUCCEED: if movement is possible.
- CEL_MOVE_PARTIAL: if object can move partially.

'pos' will contain the final position that this constraint considered valid.
Note! If 'from' and 'to' are equal then it is only checked if the object can be put on the specified position. In that case this routine will never return CEL_MOVE_PARTIAL.

The documentation for this struct was generated from the following file:

- propclass/move.h